<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.Storyboard.XIB" version="3.0" toolsVersion="14460.31" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES" initialViewController="S40-YX-U8R">
    <device id="retina4_7" orientation="portrait">
        <adaptation id="fullscreen"/>
    </device>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="14460.20"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <scenes>
        <!--Products-->
        <scene sceneID="9b6-9u-65M">
            <objects>
                <viewController title="Products" id="S40-YX-U8R" customClass="ListProductsViewController" customModule="shuup" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="JQe-NM-dMr">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <tableView clipsSubviews="YES" contentMode="scaleToFill" alwaysBounceVertical="YES" dataMode="prototypes" style="plain" separatorStyle="default" rowHeight="-1" estimatedRowHeight="-1" sectionHeaderHeight="28" sectionFooterHeight="28" translatesAutoresizingMaskIntoConstraints="NO" id="nCb-ad-7EK" userLabel="Products Table View">
                                <rect key="frame" x="0.0" y="117" width="375" height="550"/>
                                <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <prototypes>
                                    <tableViewCell clipsSubviews="YES" contentMode="scaleToFill" insetsLayoutMarginsFromSafeArea="NO" selectionStyle="blue" hidesAccessoryWhenEditing="NO" indentationLevel="1" indentationWidth="0.0" reuseIdentifier="ProductTableViewCell" rowHeight="120" id="g2s-7A-Tgx" userLabel="ProductTableViewCell" customClass="ProductTableViewCell" customModule="shuup" customModuleProvider="target">
                                        <rect key="frame" x="0.0" y="28" width="375" height="120"/>
                                        <autoresizingMask key="autoresizingMask"/>
                                        <tableViewCellContentView key="contentView" opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="center" insetsLayoutMarginsFromSafeArea="NO" tableViewCell="g2s-7A-Tgx" id="8Xi-f5-nwT" userLabel="Main Content View">
                                            <rect key="frame" x="0.0" y="0.0" width="375" height="119.5"/>
                                            <autoresizingMask key="autoresizingMask"/>
                                            <subviews>
                                                <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" translatesAutoresizingMaskIntoConstraints="NO" id="7mu-aI-jWK" userLabel="Info Stack View">
                                                    <rect key="frame" x="28" y="20" width="185" height="79.5"/>
                                                    <subviews>
                                                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" horizontalCompressionResistancePriority="749" text="Samsung Galaxy Express 3" textAlignment="center" lineBreakMode="tailTruncation" numberOfLines="10" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="KI5-of-l7h" userLabel="Name">
                                                            <rect key="frame" x="0.0" y="0.0" width="185" height="40"/>
                                                            <constraints>
                                                                <constraint firstAttribute="height" constant="40" id="qLs-k3-AG9"/>
                                                            </constraints>
                                                            <fontDescription key="fontDescription" type="system" pointSize="15"/>
                                                            <nil key="textColor"/>
                                                            <nil key="highlightedColor"/>
                                                        </label>
                                                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" verticalHuggingPriority="251" text="49.88" textAlignment="center" lineBreakMode="wordWrap" numberOfLines="3" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="Fgb-wz-aIt">
                                                            <rect key="frame" x="0.0" y="40" width="185" height="25"/>
                                                            <constraints>
                                                                <constraint firstAttribute="height" constant="25" id="Pm8-d0-sUY"/>
                                                            </constraints>
                                                            <fontDescription key="fontDescription" type="system" pointSize="12"/>
                                                            <color key="textColor" red="0.065878067800978407" green="0.3843137254901961" blue="0.082232876121753895" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                                            <nil key="highlightedColor"/>
                                                        </label>
                                                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="20" textAlignment="center" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="0p0-3H-3Qk" userLabel="Stock">
                                                            <rect key="frame" x="0.0" y="65" width="185" height="14.5"/>
                                                            <fontDescription key="fontDescription" type="system" pointSize="12"/>
                                                            <nil key="textColor"/>
                                                            <nil key="highlightedColor"/>
                                                        </label>
                                                    </subviews>
                                                    <constraints>
                                                        <constraint firstItem="KI5-of-l7h" firstAttribute="centerX" secondItem="7mu-aI-jWK" secondAttribute="centerX" id="kld-RQ-qOW"/>
                                                        <constraint firstAttribute="width" constant="185" id="zkW-cR-CbW"/>
                                                    </constraints>
                                                </stackView>
                                                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="U4s-5e-zc4">
                                                    <rect key="frame" x="305" y="45" width="30" height="30"/>
                                                    <state key="normal" title="Buy"/>
                                                </button>
                                            </subviews>
                                            <constraints>
                                                <constraint firstAttribute="trailing" secondItem="U4s-5e-zc4" secondAttribute="trailing" constant="40" id="Ahs-hX-iNo"/>
                                                <constraint firstItem="U4s-5e-zc4" firstAttribute="centerY" secondItem="8Xi-f5-nwT" secondAttribute="centerY" id="Cq6-dR-jUh"/>
                                                <constraint firstItem="7mu-aI-jWK" firstAttribute="top" secondItem="8Xi-f5-nwT" secondAttribute="top" constant="20" id="Hwz-14-NjB"/>
                                                <constraint firstItem="U4s-5e-zc4" firstAttribute="leading" secondItem="7mu-aI-jWK" secondAttribute="trailing" constant="92" id="LG0-gT-yFx"/>
                                                <constraint firstItem="7mu-aI-jWK" firstAttribute="leading" secondItem="8Xi-f5-nwT" secondAttribute="leading" constant="28" id="bCb-m4-8F7"/>
                                                <constraint firstItem="7mu-aI-jWK" firstAttribute="centerY" secondItem="8Xi-f5-nwT" secondAttribute="centerY" id="gs5-i0-wIY"/>
                                            </constraints>
                                        </tableViewCellContentView>
                                        <connections>
                                            <outlet property="buy" destination="U4s-5e-zc4" id="JxZ-jM-hfU"/>
                                            <outlet property="name" destination="KI5-of-l7h" id="8iF-QR-sBT"/>
                                            <outlet property="price" destination="Fgb-wz-aIt" id="ei3-h9-tE6"/>
                                            <outlet property="stock" destination="0p0-3H-3Qk" id="4rQ-UQ-Dhd"/>
                                        </connections>
                                    </tableViewCell>
                                </prototypes>
                                <connections>
                                    <outlet property="dataSource" destination="S40-YX-U8R" id="GjA-v9-kRn"/>
                                    <outlet property="delegate" destination="S40-YX-U8R" id="USg-gP-RB4"/>
                                </connections>
                            </tableView>
                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Items:" textAlignment="center" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="AcX-Yi-Oc6">
                                <rect key="frame" x="228" y="40" width="47" height="21"/>
                                <constraints>
                                    <constraint firstAttribute="width" constant="47" id="M0W-ea-eP4"/>
                                </constraints>
                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                <nil key="textColor"/>
                                <nil key="highlightedColor"/>
                            </label>
                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Total:" textAlignment="center" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="R7Y-82-g27">
                                <rect key="frame" x="20" y="71" width="47" height="21"/>
                                <constraints>
                                    <constraint firstAttribute="width" constant="47" id="tpN-Rw-bFQ"/>
                                </constraints>
                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                <nil key="textColor"/>
                                <nil key="highlightedColor"/>
                            </label>
                            <label opaque="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="0" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="l45-RV-LRF">
                                <rect key="frame" x="290" y="40" width="20.5" height="21"/>
                                <gestureRecognizers/>
                                <constraints>
                                    <constraint firstAttribute="width" relation="greaterThanOrEqual" constant="20.5" id="TDH-fY-iPU"/>
                                </constraints>
                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                <nil key="textColor"/>
                                <nil key="highlightedColor"/>
                                <connections>
                                    <outletCollection property="gestureRecognizers" destination="zvD-5S-KyA" appends="YES" id="Fhh-xj-m9s"/>
                                </connections>
                            </label>
                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="0 USD" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="EhO-pj-U64">
                                <rect key="frame" x="82" y="71" width="70" height="21"/>
                                <constraints>
                                    <constraint firstAttribute="width" relation="greaterThanOrEqual" constant="70" id="afZ-Ld-Iky"/>
                                </constraints>
                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                <nil key="textColor"/>
                                <nil key="highlightedColor"/>
                            </label>
                        </subviews>
                        <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                        <constraints>
                            <constraint firstItem="R7Y-82-g27" firstAttribute="leading" secondItem="x8Q-hn-aLp" secondAttribute="leading" constant="20" id="2kV-T4-DDr"/>
                            <constraint firstItem="x8Q-hn-aLp" firstAttribute="trailing" secondItem="AcX-Yi-Oc6" secondAttribute="trailing" constant="100" id="L5k-KT-vqi"/>
                            <constraint firstItem="EhO-pj-U64" firstAttribute="leading" secondItem="R7Y-82-g27" secondAttribute="trailing" constant="15" id="Olq-Ou-rw7"/>
                            <constraint firstItem="l45-RV-LRF" firstAttribute="top" secondItem="x8Q-hn-aLp" secondAttribute="top" constant="20" id="PSj-a3-mOQ"/>
                            <constraint firstItem="x8Q-hn-aLp" firstAttribute="trailing" secondItem="nCb-ad-7EK" secondAttribute="trailing" id="U6k-Yo-Dsz"/>
                            <constraint firstItem="l45-RV-LRF" firstAttribute="leading" secondItem="AcX-Yi-Oc6" secondAttribute="trailing" constant="15" id="XyF-K7-rn6"/>
                            <constraint firstItem="x8Q-hn-aLp" firstAttribute="trailing" relation="greaterThanOrEqual" secondItem="l45-RV-LRF" secondAttribute="trailing" constant="20" id="Y9i-7J-O3o"/>
                            <constraint firstItem="AcX-Yi-Oc6" firstAttribute="top" secondItem="x8Q-hn-aLp" secondAttribute="top" constant="20" id="YWD-M3-lwA"/>
                            <constraint firstItem="EhO-pj-U64" firstAttribute="top" secondItem="l45-RV-LRF" secondAttribute="bottom" constant="10" id="cCw-1V-vuC"/>
                            <constraint firstItem="nCb-ad-7EK" firstAttribute="leading" secondItem="x8Q-hn-aLp" secondAttribute="leading" id="gY4-QD-v1q"/>
                            <constraint firstItem="nCb-ad-7EK" firstAttribute="top" secondItem="R7Y-82-g27" secondAttribute="bottom" constant="25" id="gud-gc-zPh"/>
                            <constraint firstItem="R7Y-82-g27" firstAttribute="top" secondItem="AcX-Yi-Oc6" secondAttribute="bottom" constant="10" id="hqE-DX-4q9"/>
                            <constraint firstItem="x8Q-hn-aLp" firstAttribute="bottom" secondItem="nCb-ad-7EK" secondAttribute="bottom" id="yts-11-iGO"/>
                        </constraints>
                        <viewLayoutGuide key="safeArea" id="x8Q-hn-aLp"/>
                    </view>
                    <connections>
                        <outlet property="counterLabel" destination="l45-RV-LRF" id="Cd4-qx-UQb"/>
                        <outlet property="productsTableView" destination="nCb-ad-7EK" id="CeR-Pn-bhw"/>
                        <outlet property="totalLabel" destination="EhO-pj-U64" id="qPF-ZN-mnn"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="bI1-3i-CHN" userLabel="First Responder" sceneMemberID="firstResponder"/>
                <tapGestureRecognizer id="zvD-5S-KyA">
                    <connections>
                        <action selector="handleCounterTap:" destination="S40-YX-U8R" id="xAD-J2-ut0"/>
                    </connections>
                </tapGestureRecognizer>
            </objects>
            <point key="canvasLocation" x="-103.2" y="9.4452773613193415"/>
        </scene>
    </scenes>
</document>
